Debian LTS: DLA-3085-1: curl security update | LinuxSecurity.com
-------------------------------------------------------------------------
Debian LTS Advisory DLA-3085-1                [email protected]
https://www.debian.org/lts/security/                      Markus Koschany
August 29, 2022                               https://wiki.debian.org/LTS
-------------------------------------------------------------------------

Package        : curl
Version        : 7.64.0-4+deb10u3
CVE ID         : CVE-2021-22898 CVE-2021-22924 CVE-2021-22946 CVE-2021-22947 
                 CVE-2022-22576 CVE-2022-27776 CVE-2022-27781 CVE-2022-27782 
                 CVE-2022-32206 CVE-2022-32208
Debian Bug     : 989228 991492 1010295 1010254 1010253 1010252

Multiple security vulnerabilities have been discovered in cURL, an URL transfer
library. These flaws may allow remote attackers to obtain sensitive
information, leak authentication or cookie header data or facilitate a
denial of service attack.

For Debian 10 buster, these problems have been fixed in version
7.64.0-4+deb10u3.

We recommend that you upgrade your curl packages.

For the detailed security status of curl please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/curl

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Debian LTS: DLA-3085-1: curl security update

August 28, 2022
Multiple security vulnerabilities have been discovered in cURL, an URL transfer library

Summary


Multiple security vulnerabilities have been discovered in cURL, an URL transfer
library. These flaws may allow remote attackers to obtain sensitive
information, leak authentication or cookie header data or facilitate a
denial of service attack.

For Debian 10 buster, these problems have been fixed in version
7.64.0-4+deb10u3.

We recommend that you upgrade your curl packages.

For the detailed security status of curl please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/curl

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS

Severity
Package : curl
Version : 7.64.0-4+deb10u3
CVE ID : CVE-2021-22898 CVE-2021-22924 CVE-2021-22946 CVE-2021-22947
Debian Bug : 989228 991492 1010295 1010254 1010253 1010252

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.